Subject: [v6ops] draft-yu-v6ops-split6 question

From: Fred Baker <[email-masked]>
Date: Sun, 20 Mar 2022 23:50:45 -0700

Let me put this to the group.

Dr Yu has proposed that we divide the IPv6 address into a locator and an identifier. His draft has received almost no discussion (https://mailarchive.ietf.org/arch/search/?qdr=a&q=%22draft-yu-v6ops-split6%22 <https://mailarchive.ietf.org/arch/search/?qdr=a&q=%22draft-yu-v6ops-split6%22>), so we have not invited him to speak on the agenda. This is an operational matter in that there would be no change to the host, only the network. That said, there is some history with the proposal:

   RFC 1992 (1996) defines the terms "locator" and "identifier", and argues for their separation.
   In 1996, Mike O'Dell suggested we divide the IPv6 address into 8 octets of locator and 8 octets of identifier. That, if I recall correctly, is the origin of the IPv6 IID as currently defined. https://datatracker.ietf.org/doc/html/draft-odell-8+8-00 <https://datatracker.ietf.org/doc/html/draft-odell-8+8-00> 
   In 2004, Masataka Ohta re-suggested the concept in multi6 https://datatracker.ietf.org/doc/html/draft-ohta-multi6-8plus8 <https://datatracker.ietf.org/doc/html/draft-ohta-multi6-8plus8> 
   Ohta-san's proposal was discussed at IETF 59 (Seoul, 2004), proceedings at https://www.ietf.org/proceedings/59/ <https://www.ietf.org/proceedings/59/>

We can put him on the agenda for IETF 114 if there is interest.  I really want to hear that there is operational interest, though, for reasons that I hope are obvious. Cf Ron's discussion of "how to get on the v6ops agenda" during Monday's meeting.

> Begin forwarded message:
> 
> From: IETF Secretariat <[email-masked]>
> Subject: haisheng yu has proposed slides for IETF-113 : v6ops
> Date: March 20, 2022 at 7:02:30 PM PDT
> To: <[email-masked]>, <[email-masked]>
> Resent-From: <[email-masked]>
> Resent-To: [email-masked], [email-masked]
> 
> haisheng yu has proposed slides for IETF-113 : v6ops
> 
> Title: SPLIT6-Separation Protocol of Locator and Identifier Towards IPv6
> 
>  https://datatracker.ietf.org/meeting/113/slidesubmission/1892

---

From: [email-masked]
Date: Mon, 21 Mar 2022 09:16:10 +0100

And don't forget the IRTF work on ILNP. The document series starting with RFC6740.

If you look at NATs as a opportunisitc identifier locator split, then it's quite obvious that there is an operational use case. ;-)

Best regards,
Ole

> On 21 Mar 2022, at 07:50, Fred Baker <[email-masked]> wrote:
> 
> Dr Yu has proposed that we divide the IPv6 address into a locator and an identifier. His draft has received almost no discussion (https://mailarchive.ietf.org/arch/search/?qdr=a&q=%22draft-yu-v6ops-split6%22), so we have not invited him to speak on the agenda. This is an operational matter in that there would be no change to the host, only the network. That said, there is some history with the proposal:
> 
>    In 1996, Mike O'Dell suggested we divide the IPv6 address into 8 octets of locator and 8 octets of identifier. That, if I recall correctly, is the origin of the IPv6 IID as currently defined. https://datatracker.ietf.org/doc/html/draft-odell-8+8-00 
>    In 2004, Masataka Ohta re-suggested the concept in multi6 https://datatracker.ietf.org/doc/html/draft-ohta-multi6-8plus8 
>    Ohta-san's proposal was discussed at IETF 59 (Seoul, 2004), proceedings at https://www.ietf.org/proceedings/59/
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: hsyu <[email-masked]>
Date: Mon, 21 Mar 2022 16:42:55 +0800

Hi, Otroan, Fred

I think with the development of IPv6, the location and separation of IPv6 addresses is an issue worth discussing, such as:
By separating location and identity, a robust routing table can be achieved, reducing the risk of route explosion.
Let the routing address work in the routing space, and let the identity domain work in the identity space. Ensure easier routing and easier and more accurate authentication.

For more detailed information, you can view this draft: https://datatracker.ietf.org/doc/draft-yu-v6ops-split6/02/

Best regards.

Johnson Yu

Haisheng Yu(Johnson)

[email-masked]

On 3/21/2022 16:16，<[email-masked]> wrote：

Best regards,
Ole

Begin forwarded message:

---

From: Gert Doering <[email-masked]>
Date: Mon, 21 Mar 2022 10:23:21 +0100

Hi,

On Mon, Mar 21, 2022 at 04:42:55PM +0800, hsyu wrote:
>         </span></div><div><span><br></span></div><div><span>I think with the development of IPv6, the location and separation of IPv6 addresses is an issue worth discussing, such as:<br>By separating location and identity, a robust routing table can be achieved, reducing the risk of route explosion.<br>Let the routing address work in the routing space, and let the identity domain work in the identity space. Ensure easier routing and easier and more accurate authentication.</span></div>

While this sounds really nice, I have a hard time understanding how
this would be achieved.

Mandate aggregation of routes?  To what level?

Disallow IPv6 PI space?

How would DNS look like, how would "small enterprise" multihoming look like?

Gert Doering
        -- NetMaster
-- 
have you enabled IPv6 on something today...?

SpaceNet AG                      Vorstand: Sebastian v. Bomhard, Michael Emmer
Joseph-Dollinger-Bogen 14        Aufsichtsratsvors.: A. Grundner-Culemann
D-80807 Muenchen                 HRB: 136055 (AG Muenchen)
Tel: +49 (0)89/32356-444         USt-IdNr.: DE813185279

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 24 Mar 2022 15:17:30 +1300

We've had this discussion before, I thought.

https://datatracker.ietf.org/doc/html/draft-bourbaki-6man-classless-ipv6 makes the opposite argument. It wasn't strictly speaking necessary to make the argument at all, because BCP 198 (RFC 7608) settled the question.

    Brian

---

From: hsyu <[email-masked]>
Date: Thu, 24 Mar 2022 10:59:12 +0800

Dear Brian

My idea is not to fix the route without changing, long CIDR can ensure that the route is more accurate, so it can be routed to the destination faster, which is very necessary. But considering the bottleneck of the routing device and the speed of finding routes, the aggregation of routes is necessary. We know that the number of routing entries is positively related to the number of networks. The more networks there are, the more routes there must be. What we expect is that network changes that occur in a short period of time (such as a month) do not affect changes in the number of networks and changes in the number of routing tables. This is the most fundamental reason for me to consider doing this draft.

Best regards.

Haisheng Yu(Johnson)

[email-masked]

On 3/24/2022 10:17，Brian E Carpenter<[email-masked]> wrote：

Brian

Hi,

Disallow IPv6 PI space?

Gert Doering
-- NetMaster